Merge sg3-utils from Debian unstable for 22.04

Bug #1946900 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sg3-utils (Ubuntu)
Undecided
Lucas Kanashiro

Bug Description

Upstream: tbd
Debian: 1.46-1
Ubuntu: 1.45-1ubuntu2

### New Debian Changes ###

sg3-utils (1.46-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libsgutils2-2: Add Multi-Arch: same.
    + libsgutils2-dev: Add Multi-Arch: same.

  [ Ritesh Raj Sarraf ]
  * New upstream version 1.46
  * Bump debhelper compatibility to 13
  * Update symbol list to version 1.46
  * Update Standards Version to 4.5.1
  * Update symbol list for 1.45

 -- Ritesh Raj Sarraf <email address hidden> Tue, 17 Aug 2021 21:45:28 +0530

sg3-utils (1.45-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Submit.
  * Drop unnecessary dependency on dh-autoconf.
  * Use canonical URL in Vcs-Browser.

  [ Ritesh Raj Sarraf ]
  * Add filter for the debian folder
  * New upstream version 1.45
  * Drop quilt based patch fix-udevadm-path.patch
  * Add patch to fix path for udevadm
  * Update symbol list for 1.45

 -- Ritesh Raj Sarraf <email address hidden> Fri, 10 Apr 2020 20:52:49 +0530

sg3-utils (1.44-1) unstable; urgency=medium

  * New upstream version 1.44
  * Drop patch ship-rescan-script.sh. Merged upstream.
  * Update new symbol list

 -- Ritesh Raj Sarraf <email address hidden> Thu, 13 Sep 2018 11:03:26 +0545

sg3-utils (1.42-3) unstable; urgency=medium

  * Fix path for udevadm, which now resides in /bin.
    Thanks to Michael Biebl (Closes: #852585)
  * Switch packaging to Salsa

 -- Ritesh Raj Sarraf <email address hidden> Mon, 10 Sep 2018 10:02:04 +0545

sg3-utils (1.42-2) unstable; urgency=medium

  * [a3ba3f8] Don't hardcode architecture in install files
  * Also close below bug. Its udev rule error is fixed in 1.42
    (Closes: #799680)
  * [1602649] Add debian/gbp.conf to explicitly enable pristine-tar
    for this package's packaging

 -- Ritesh Raj Sarraf <email address hidden> Tue, 22 Mar 2016 21:59:58 +0530

sg3-utils (1.42-1) unstable; urgency=medium

  * [5e8831f] Imported Upstream version 1.42
  * [207bf28] Update symbol list for 1.42
  * [5bb50a3] Bump debhelper to 9
  * [3ef31a6] Fix Vcs URLs
  * [ed19382] Update install list

 -- Ritesh Raj Sarraf <email address hidden> Tue, 22 Mar 2016 16:03:46 +0530

sg3-utils (1.41-1) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * sg3-utils-udev (new binary package): provide the udev rules for
    SCSI-ID mappings and symlinks at boot time for multipath-tools:
    - debian/control: add sg3-utils-udev
    - debian/rules: build it with override_dh_{install,clean}
    - debian/initramfs/hooks: add_udev_rules() and copy_exec() 'sg_inq'
      to initramfs
    - debian/sg3-utils-udev.post{inst,rm}: call update-initramfs

  [ Ritesh Raj Sarraf ]
  * [7c346df] Add misc:Depends to dependency
  * [b719c1a] Clean up README.source
  * [e799461] Remove stale debian/ folder in upstream branch
  * [92db371] Imported Upstream version 1.41
  * [dadce5a] Recover debian/ files from improper gbp import
    --filter=debian
  * [e7aa4ba] Refresh patch debian/patches/ship-rescan-script.sh
  * [33af743] Update symbols introduced in 1.41

 -- Ritesh Raj Sarraf <email address hidden> Wed, 08 Jul 2015 18:48:43 +0530

sg3-utils (1.39-1) unstable; urgency=medium

  * [a3a22b2] Imported Upstream version 1.39
  * [c1a14cb] Update symbols list

 -- Ritesh Raj Sarraf <email address hidden> Mon, 29 Sep 2014 13:25:14 +0530

### Old Ubuntu Delta ###

sg3-utils (1.45-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <email address hidden> Mon, 22 Feb 2021 10:36:13 +0100

sg3-utils (1.45-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1879761). Remaining changes:
    - debian/control, debian/rules: build a sg3-udeb installer package again.
    - debian/sg3-udeb.install: install the right binaries for sg3-udeb.
  * Dropped:
    - Fix a typo in a udev rule that leads to truncated ID_SERIAL values in
      udev. (LP: #1859858)
    [Fixed Upstream]

 -- Rafael David Tinoco <email address hidden> Thu, 21 May 2020 03:34:16 +0000

Changed in sg3-utils (Ubuntu):
assignee: nobody → Lucas Kanashiro (lucaskanashiro)
Bryce Harrington (bryce)
description: updated
Changed in sg3-utils (Ubuntu):
milestone: none → ubuntu-21.11
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers